/*		Q/C V3.2 Utility Library		*/
/*     Copyright (c) 1984 Quality Computer Systems	*/
/*			11/25/84			*/

#include "stdio.h"

/*
 *	internal routine used by atoi and _fmt to perform ascii-
 *	to-decimal conversion and update an associated pointer:
 */
_atoi(sptr)
char **sptr;
	{
	register n;
	register char *p;

	n = 0;
	p = *sptr;
	while (isdigit(*p))
		n = 10 * n + *p++ - '0';
	*sptr = p;
	return n;
	}
